View Issue Details

IDProjectCategoryView StatusLast Update
0004463Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.2Fixed in Version0.2 
Summary0004463: error handling: consider options for promises with typed errors
DescriptionNative javascript promises in TypeScript don't carry any type information for the reject/error case, just for the success/normal case.

Other languages type both cases, maybe we can use a promise type that also does this.
TagsNo tags attached.

Activities

Florian Dold

2016-11-14 00:22

manager   ~0011480

This is now obsolete, with the async/await syntax this is not supported.

Rejecting a promise is the same as throwing an exception, and JavaScript doesn't have any mechanism for checked exceptions.

Issue History

Date Modified Username Field Change
2016-04-22 17:51 Florian Dold New Issue
2016-04-22 17:51 Florian Dold Status new => assigned
2016-04-22 17:51 Florian Dold Assigned To => Florian Dold
2016-05-04 15:49 Christian Grothoff Severity minor => tweak
2016-05-04 15:49 Christian Grothoff Product Version => 0.0
2016-05-04 15:49 Christian Grothoff Target Version => 0.1
2016-05-31 09:54 Christian Grothoff Target Version 0.1 => 0.6
2016-11-14 00:22 Florian Dold Note Added: 0011480
2016-11-14 00:22 Florian Dold Status assigned => resolved
2016-11-14 00:22 Florian Dold Resolution open => fixed
2016-11-15 00:39 root Fixed in Version => 0.2
2016-11-15 00:39 root Target Version 0.6 => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed